> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/contexts/list.md).

# List Contexts

Returns a paginated list of all contexts.

## Request

```http
GET /umbraco/ai/management/api/v1/contexts
```

### Query Parameters

| Parameter | Type   | Default | Description                                                   |
| --------- | ------ | ------- | ------------------------------------------------------------- |
| `filter`  | string | null    | Filter to search by name or alias (case-insensitive contains) |
| `skip`    | int    | 0       | Number of items to skip                                       |
| `take`    | int    | 100     | Number of items to return                                     |

## Response

### Success

{% code title="200 OK" %}

```json
{
    "items": [
        {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "alias": "brand-voice",
            "name": "Brand Voice",
            "resourceCount": 1,
            "dateCreated": "2024-01-15T10:30:00Z",
            "dateModified": "2024-01-20T14:45:00Z"
        }
    ],
    "total": 5
}
```

{% endcode %}

### Item Properties

| Property        | Type     | Description                        |
| --------------- | -------- | ---------------------------------- |
| `id`            | guid     | Unique identifier                  |
| `alias`         | string   | Unique alias for code references   |
| `name`          | string   | Display name                       |
| `resourceCount` | int      | Number of resources in the context |
| `dateCreated`   | datetime | When the context was created       |
| `dateModified`  | datetime | When the context was last modified |

## Examples

{% code title="cURL" %}

```bash
curl -X GET "https://your-site.com/umbraco/ai/management/api/v1/contexts?skip=0&take=10" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
```

{% endcode %}

{% code title="C#" %}

```csharp
var response = await httpClient.GetAsync("/umbraco/ai/management/api/v1/contexts?skip=0&take=10");
var result = await response.Content.ReadFromJsonAsync<PagedResult<AIContextModel>>();
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/contexts/list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
